@Echo off
REM Detect machine architecture.
if defined ProgramFiles(x86) goto INS64
goto INS32

REM Start installation for 32-bit machines.
:INS32
REM Create source folder for installation.
md c:\Windows\Install
REM Copy installation files on local disk of the machine.
xcopy \\T1vdi049\shared$\Install C:\Windows\Install /s/e/y
REM Time-out for complete background processes.
timeout /t 100
REM Detect version number of OS.
ver | findstr /i "5\.1\." > nul
IF %ERRORLEVEL% EQU 0 goto XP_x86
ver | findstr /i "6\.1\." > nul
IF %ERRORLEVEL% EQU 0 goto Win7_x86
REM Start installation for XP 32-bit.
:XP_x86
REM Time-out for complete background processes.
timeout /t 10
REM Stop View Agent service.
net stop wsnm
REM Remove any pending installation application form registry.
reg delete hklm\software\microsoft\windows\currentversion\runonce /f
reg add hklm\software\microsoft\windows\currentversion\Runonce /f
REM Time-out for complete background processes.
timeout /t 10
REM Run View Agent executable file and install that with all features silently.
C:\Windows\Install\VMware-viewagent-5.1.0-704644.exe /s /v"/qn ADDLOCAL=ALL REBOOT=Reallysuppress"
REM Time-out for complete background processes.
timeout /t 10
REM Remove installation folder from local drive.
RD /s /q C:\Windows\Install
REM Time-out for complete background processes.
timeout /t 10
REM Disable administrative share that enabled in pre-install step.
reg add hklm\system\currentcontrolset\services\lanmanserver\parameters /v autosharewks /t REG_DWORD /d 0 /f
REM Time-out for complete background processes.
timeout /t 10
REM Force machine to restart for apply changes.
shutdown /f /r

:Win7_x86
REM Stop View Agent service.
net stop wsnm
REM Remove any pending installation application form registry.
reg delete hklm\software\microsoft\windows\currentversion\runonce /f
reg add hklm\software\microsoft\windows\currentversion\Runonce /f
REM Time-out for complete background processes.
timeout /t 10
REM Run View Agent executable file and install that with all features silently.
C:\Windows\Install\VMware-viewagent-5.1.0-704644.exe /s /v"/qn ADDLOCAL=ALL REBOOT=Reallysuppress"
REM Time-out for complete background processes.
timeout /t 10
REM Remove installation folder from local drive.
RD /s /q C:\Windows\Install
REM Time-out for complete background processes.
timeout /t 10
REM Disable administrative share that enabled in pre-install step.
reg add hklm\system\currentcontrolset\services\lanmanserver\parameters /v autosharewks /t REG_DWORD /d 0 /f
timeout /t 10
REM Force machine to restart for apply changes.
shutdown /f /r

REM Start installation for 64-bit machine.
:INS64
REM Create source folder for installation.
md c:\Windows\Install
REM Copy installation files on local disk of the machine.
xcopy \\T1vdi049\shared$\Install C:\Windows\Install /s/e/y
REM Time-out for complete background processes.
timeout /t 10
REM Detect version number of OS.
ver | findstr /i "5\.2\." > nul
IF %ERRORLEVEL% EQU 0 goto XP_x64
ver | findstr /i "6\.1\." > nul
IF %ERRORLEVEL% EQU 0 goto Win7_x64
REM Start Installation
:XP_x64
REM Time-out for complete background processes.
timeout /t 10
taskkill /IM df.exe /F
REM Time-out for complete background processes.
timeout /t 10
taskkill /IM df64.exe /F
REM Edit policy for allow Windows to install unsigned drivers.
secedit /configure /db %temp%\temp.sdb /cfg C:\Windows\Install\security.inf
REM Time-out for complete background processes.
timeout /t 10
REM Stop View Agent service.
net stop wsnm
REM Remove any pending installation application form registry.
reg delete hklm\software\microsoft\windows\currentversion\runonce /f
reg add hklm\software\microsoft\windows\currentversion\Runonce /f
REM Time-out for complete background processes.
timeout /t 10
REM Run View Agent executable file and install that with all features silently.
C:\Windows\Install\VMware-viewagent-x86_64-5.1.0-704644.exe /s /v"/qn ADDLOCAL=ALL REBOOT=Reallysuppress"
REM Time-out for complete background processes.
timeout /t 10
REM Kill Rundll32.exe to close "New Found Hardware Wizard" window.
taskkill /IM rundll32.exe /F
REM Time-out for complete background processes.
timeout /t 10
REM Kill Rundll32.exe to close "New Found Hardware Wizard" window.
taskkill /IM rundll32.exe /F
REM Time-out for complete background processes.
timeout /t 10
REM Kill Rundll32.exe to close "New Found Hardware Wizard" window.
taskkill /IM rundll32.exe /F
REM Time-out for complete background processes.
timeout /t 10
REM Try to install USB driver by DPINST tool.
C:\Windows\Install\DPinst\x64\dpinst.exe /lm /sh /sw
REM Time-out for complete background processes.
timeout /t 10
REM Delete Legal Notice from registry.
reg delete hklm\software\microsoft\windows\currentversion\policies\system /v legalnoticecaption /f
reg delete hklm\software\microsoft\windows\currentversion\policies\system /v legalnoticetext /f
REM Enable auto login on the remote system.
REG ADD "HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon" /v AutoAdminLogon /t REG_SZ /d 1 /f
REG ADD "HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon" /v DefaultDomainName /t REG_SZ /d "" /f
REG ADD "HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon" /v DefaultUserName /t REG_SZ /d mtnguest /f
REG ADD "HKLM\Software\Microsoft\Windows NT\CurrentVersion\Winlogon" /v DefaultPassword /t REG_SZ /d {0c@L@Dm1Npa$$ /f
REM Add registry value for run driver installation after auto login.
reg add hklm\software\microsoft\windows\currentversion\runonce /v dpinst /d "c:\windows\install\dpinst\x64\installdrvs.cmd" /f
REM Disable administrative share that enabled in pre-install step.
reg add hklm\system\currentcontrolset\services\lanmanserver\parameters /v autosharewks /t REG_DWORD /d 0 /f
REM Enable auto login on the remote system.
timeout /t 10
REM Force machine to restart for apply changes.
shutdown /f /r

:Win7_x64
REM Stop View Agent service.
net stop wsnm
REM Remove any pending installation application form registry.
reg delete hklm\software\microsoft\windows\currentversion\runonce /f
reg add hklm\software\microsoft\windows\currentversion\Runonce /f
REM Time-out for complete background processes.
timeout /t 10
REM Run View Agent executable file and install that with all features silently.
C:\Windows\Install\VMware-viewagent-x86_64-5.1.0-704644.exe /s /v"/qn ADDLOCAL=ALL REBOOT=Reallysuppress"
REM Time-out for complete background processes.
timeout /t 10
REM Remove installation folder from local drive.
RD /s /q C:\Windows\Install
REM Time-out for complete background processes.
timeout /t 10
REM Disable administrative share that enabled in pre-install step.
reg add hklm\system\currentcontrolset\services\lanmanserver\parameters /v autosharewks /t REG_DWORD /d 0 /f
timeout /t 10
REM Force machine to restart for apply changes.
shutdown /f /r

:END